org.codehaus.groovy.transform

## Class AbstractASTTransformUtil

- java.lang.Object
- - org.codehaus.groovy.transform.AbstractASTTransformUtil

- All Implemented Interfaces:
    org.objectweb.asm.Opcodes

  Deprecated.
  use org.codehaus.groovy.ast.tools.GeneralUtils

      @Deprecated
      public abstract class AbstractASTTransformUtil
      extends java.lang.Object
      implements org.objectweb.asm.Opcodes

- - ### Field Summary

    - ### Fields inherited from interface org.objectweb.asm.Opcodes

      `AALOAD, AASTORE, ACC_ABSTRACT, ACC_ANNOTATION, ACC_BRIDGE, ACC_DEPRECATED, ACC_ENUM, ACC_FINAL, ACC_INTERFACE, ACC_MANDATED, ACC_MODULE, ACC_NATIVE, ACC_OPEN, ACC_PRIVATE, ACC_PROTECTED, ACC_PUBLIC, ACC_STATIC, ACC_STATIC_PHASE, ACC_STRICT, ACC_SUPER, ACC_SYNCHRONIZED, ACC_SYNTHETIC, ACC_TRANSIENT, ACC_TRANSITIVE, ACC_VARARGS, ACC_VOLATILE, ACONST_NULL, ALOAD, ANEWARRAY, ARETURN, ARRAYLENGTH, ASM4, ASM5, ASM6, ASM7, ASTORE, ATHROW, BALOAD, BASTORE, BIPUSH, CALOAD, CASTORE, CHECKCAST, D2F, D2I, D2L, DADD, DALOAD, DASTORE, DCMPG, DCMPL, DCONST_0, DCONST_1, DDIV, DLOAD, DMUL, DNEG, DOUBLE, DREM, DRETURN, DSTORE, DSUB, DUP, DUP_X1, DUP_X2, DUP2, DUP2_X1, DUP2_X2, F_APPEND, F_CHOP, F_FULL, F_NEW, F_SAME, F_SAME1, F2D, F2I, F2L, FADD, FALOAD, FASTORE, FCMPG, FCMPL, FCONST_0, FCONST_1, FCONST_2, FDIV, FLOAD, FLOAT, FMUL, FNEG, FREM, FRETURN, FSTORE, FSUB, GETFIELD, GETSTATIC, GOTO, H_GETFIELD, H_GETSTATIC, H_INVOKEINTERFACE, H_INVOKESPECIAL, H_INVOKESTATIC, H_INVOKEVIRTUAL, H_NEWINVOKESPECIAL, H_PUTFIELD, H_PUTSTATIC, I2B, I2C, I2D, I2F, I2L, I2S, IADD, IALOAD, IAND, IASTORE, ICONST_0, ICONST_1, ICONST_2, ICONST_3, ICONST_4, ICONST_5, ICONST_M1, IDIV, IF_ACMPEQ, IF_ACMPNE, IF_ICMPEQ, IF_ICMPGE, IF_ICMPGT, IF_ICMPLE, IF_ICMPLT, IF_ICMPNE, IFEQ, IFGE, IFGT, IFLE, IFLT, IFNE, IFNONNULL, IFNULL, IINC, ILOAD, IMUL, INEG, INSTANCEOF, INTEGER, INVOKEDYNAMIC, INVOKEINTERFACE, INVOKESPECIAL, INVOKESTATIC, INVOKEVIRTUAL, IOR, IREM, IRETURN, ISHL, ISHR, ISTORE, ISUB, IUSHR, IXOR, JSR, L2D, L2F, L2I, LADD, LALOAD, LAND, LASTORE, LCMP, LCONST_0, LCONST_1, LDC, LDIV, LLOAD, LMUL, LNEG, LONG, LOOKUPSWITCH, LOR, LREM, LRETURN, LSHL, LSHR, LSTORE, LSUB, LUSHR, LXOR, MONITORENTER, MONITOREXIT, MULTIANEWARRAY, NEW, NEWARRAY, NOP, NULL, POP, POP2, PUTFIELD, PUTSTATIC, RET, RETURN, SALOAD, SASTORE, SIPUSH, SOURCE_DEPRECATED, SOURCE_MASK, SWAP, T_BOOLEAN, T_BYTE, T_CHAR, T_DOUBLE, T_FLOAT, T_INT, T_LONG, T_SHORT, TABLESWITCH, TOP, UNINITIALIZED_THIS, V_PREVIEW, V1_1, V1_2, V1_3, V1_4, V1_5, V1_6, V1_7, V1_8, V10, V11, V12, V13, V14, V9`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractASTTransformUtil()` Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Statement` | `assignStatement(Expression target, Expression value)` Deprecated.
    `static Statement` | `createConstructorStatementDefault(FieldNode fNode)` Deprecated.
    `static ExpressionStatement` | `declStatement(Expression result, Expression init)` Deprecated.
    `static BooleanExpression` | `differentExpr(Expression self, Expression other)` Deprecated.
    `static BooleanExpression` | `differentFieldExpr(FieldNode fNode, Expression other)` Deprecated.
    `static BooleanExpression` | `differentPropertyExpr(PropertyNode pNode, Expression other)` Deprecated.
    `static BooleanExpression` | `equalsNullExpr(Expression argExpr)` Deprecated.
    `static Expression` | `findArg(java.lang.String argName)` Deprecated.
    `static java.util.List<FieldNode>` | `getInstanceNonPropertyFields(ClassNode cNode)` Deprecated.
    `static java.util.List<PropertyNode>` | `getInstanceProperties(ClassNode cNode)` Deprecated.
    `static java.util.List<FieldNode>` | `getInstancePropertyFields(ClassNode cNode)` Deprecated.
    `static java.util.List<FieldNode>` | `getSuperNonPropertyFields(ClassNode cNode)` Deprecated.
    `static java.util.List<FieldNode>` | `getSuperPropertyFields(ClassNode cNode)` Deprecated.
    `static boolean` | `hasDeclaredMethod(ClassNode cNode, java.lang.String name, int argsCount)` Deprecated.
    `static BooleanExpression` | `identicalExpr(Expression self, Expression other)` Deprecated.
    `static BooleanExpression` | `isInstanceof(ClassNode cNode, Expression other)` Deprecated.
    `static BooleanExpression` | `isInstanceOf(Expression objectExpression, ClassNode cNode)` Deprecated.
    `static BooleanExpression` | `isOneExpr(Expression expr)` Deprecated.
    `static boolean` | `isOrImplements(ClassNode fieldType, ClassNode interfaceType)` Deprecated.
    `static BooleanExpression` | `isTrueExpr(Expression argExpr)` Deprecated.
    `static BooleanExpression` | `isZeroExpr(Expression expr)` Deprecated.
    `static BooleanExpression` | `notNullExpr(Expression argExpr)` Deprecated.
    `static Statement` | `returnFalseIfFieldNotEqual(FieldNode fNode, Expression other)` Deprecated.
    `static Statement` | `returnFalseIfNotInstanceof(ClassNode cNode, Expression other)` Deprecated.
    `static IfStatement` | `returnFalseIfNull(Expression other)` Deprecated.
    `static Statement` | `returnFalseIfPropertyNotEqual(PropertyNode pNode, Expression other)` Deprecated.
    `static Statement` | `returnFalseIfWrongType(ClassNode cNode, Expression other)` Deprecated.
    `static IfStatement` | `returnTrueIfIdentical(Expression self, Expression other)` Deprecated.
    `static Statement` | `safeExpression(Expression fieldExpr, Expression expression)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractASTTransformUtil

          public AbstractASTTransformUtil()

      Deprecated.

  - ### Method Detail

    - #### assignStatement

          @Deprecated
          public static Statement assignStatement(Expression target,
                                                               Expression value)

      Deprecated.

    - #### createConstructorStatementDefault

          @Deprecated
          public static Statement createConstructorStatementDefault(FieldNode fNode)

      Deprecated.

    - #### declStatement

          @Deprecated
          public static ExpressionStatement declStatement(Expression result,
                                                                       Expression init)

      Deprecated.

    - #### differentExpr

          @Deprecated
          public static BooleanExpression differentExpr(Expression self,
                                                                     Expression other)

      Deprecated.

    - #### differentFieldExpr

          @Deprecated
          public static BooleanExpression differentFieldExpr(FieldNode fNode,
                                                                          Expression other)

      Deprecated.

    - #### differentPropertyExpr

          @Deprecated
          public static BooleanExpression differentPropertyExpr(PropertyNode pNode,
                                                                             Expression other)

      Deprecated.

    - #### equalsNullExpr

          @Deprecated
          public static BooleanExpression equalsNullExpr(Expression argExpr)

      Deprecated.

    - #### findArg

          @Deprecated
          public static Expression findArg(java.lang.String argName)

      Deprecated.

    - #### getInstanceNonPropertyFields

          @Deprecated
          public static java.util.List<FieldNode> getInstanceNonPropertyFields(ClassNode cNode)

      Deprecated.

    - #### getInstanceProperties

          @Deprecated
          public static java.util.List<PropertyNode> getInstanceProperties(ClassNode cNode)

      Deprecated.

    - #### getInstancePropertyFields

          @Deprecated
          public static java.util.List<FieldNode> getInstancePropertyFields(ClassNode cNode)

      Deprecated.

    - #### getSuperNonPropertyFields

          @Deprecated
          public static java.util.List<FieldNode> getSuperNonPropertyFields(ClassNode cNode)

      Deprecated.

    - #### getSuperPropertyFields

          @Deprecated
          public static java.util.List<FieldNode> getSuperPropertyFields(ClassNode cNode)

      Deprecated.

    - #### hasDeclaredMethod

          @Deprecated
          public static boolean hasDeclaredMethod(ClassNode cNode,
                                                               java.lang.String name,
                                                               int argsCount)

      Deprecated.

    - #### identicalExpr

          @Deprecated
          public static BooleanExpression identicalExpr(Expression self,
                                                                     Expression other)

      Deprecated.

    - #### isInstanceOf

          @Deprecated
          public static BooleanExpression isInstanceOf(Expression objectExpression,
                                                                    ClassNode cNode)

      Deprecated.

    - #### isInstanceof

          @Deprecated
          public static BooleanExpression isInstanceof(ClassNode cNode,
                                                                    Expression other)

      Deprecated.

    - #### isOneExpr

          @Deprecated
          public static BooleanExpression isOneExpr(Expression expr)

      Deprecated.

    - #### isOrImplements

          @Deprecated
          public static boolean isOrImplements(ClassNode fieldType,
                                                            ClassNode interfaceType)

      Deprecated.

    - #### isTrueExpr

          @Deprecated
          public static BooleanExpression isTrueExpr(Expression argExpr)

      Deprecated.

    - #### isZeroExpr

          @Deprecated
          public static BooleanExpression isZeroExpr(Expression expr)

      Deprecated.

    - #### notNullExpr

          @Deprecated
          public static BooleanExpression notNullExpr(Expression argExpr)

      Deprecated.

    - #### returnFalseIfFieldNotEqual

          @Deprecated
          public static Statement returnFalseIfFieldNotEqual(FieldNode fNode,
                                                                          Expression other)

      Deprecated.

    - #### returnFalseIfNotInstanceof

          @Deprecated
          public static Statement returnFalseIfNotInstanceof(ClassNode cNode,
                                                                          Expression other)

      Deprecated.

    - #### returnFalseIfNull

          @Deprecated
          public static IfStatement returnFalseIfNull(Expression other)

      Deprecated.

    - #### returnFalseIfPropertyNotEqual

          @Deprecated
          public static Statement returnFalseIfPropertyNotEqual(PropertyNode pNode,
                                                                             Expression other)

      Deprecated.

    - #### returnFalseIfWrongType

          @Deprecated
          public static Statement returnFalseIfWrongType(ClassNode cNode,
                                                                      Expression other)

      Deprecated.

    - #### returnTrueIfIdentical

          @Deprecated
          public static IfStatement returnTrueIfIdentical(Expression self,
                                                                       Expression other)

      Deprecated.

    - #### safeExpression

          @Deprecated
          public static Statement safeExpression(Expression fieldExpr,
                                                              Expression expression)

      Deprecated.